## live-config 3.0.9

=== Makefile ===
# Makefile

## live-config(7) - System Configuration Scripts
## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = $(shell cd manpages/po && ls)

SCRIPTS = backends/*/*.init bin/* scripts/*.sh scripts/*/*

all: build

test:
	@echo -n "Checking for syntax errors"

	@for SCRIPT in $(SCRIPTS); \
	do \
		sh -n $${SCRIPT}; \
		echo -n "."; \
	done

	@echo " done."

	@if [ -x "$$(which checkbashisms 2>/dev/null)" ]; \
	then \
		echo -n "Checking for bashisms"; \
		for SCRIPT in $(SCRIPTS); \
		do \
			checkbashisms -f -x $${SCRIPT}; \
			echo -n "."; \
		done; \
		echo " done."; \
	else \
		echo "W: checkbashisms - command not found"; \
		echo "I: checkbashisms can be optained from: "; \
		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
		echo "I:   apt-get install devscripts"; \
	fi

build:
	@echo "Nothing to build."

install:
	# Installing backends
	mkdir -p $(DESTDIR)/etc/init.d
	cp backends/sysvinit/live-config.init $(DESTDIR)/etc/init.d/live-config
	cp backends/sysvinit/live.init $(DESTDIR)/etc/init.d/live

	mkdir -p $(DESTDIR)/etc/init
	cp backends/upstart/live-config.upstart $(DESTDIR)/etc/init/live-config.conf

	mkdir -p $(DESTDIR)/etc/systemd/system
	cp backends/systemd/live-config.systemd $(DESTDIR)/etc/systemd/system/live-config.service
	mkdir -p $(DESTDIR)/etc/systemd/system/runlevel1.target.wants
	ln -s ../live-config.service $(DESTDIR)/etc/systemd/system/runlevel1.target.wants/live-config.service

	# Installing scripts
	mkdir -p $(DESTDIR)/lib/live
	cp -r scripts/config.sh scripts/config $(DESTDIR)/lib/live
	mkdir -p $(DESTDIR)/var/lib/live/config

	cp bin/boot-init.sh $(DESTDIR)/lib/live

	mkdir -p $(DESTDIR)/sbin

	# Installing docs
	mkdir -p $(DESTDIR)/usr/share/doc/live-config
	cp -r COPYING examples $(DESTDIR)/usr/share/doc/live-config

	# Installing manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE}); \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			install -D -m 0644 $${MANPAGE} $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

uninstall:
	# Uininstalling backends
	rm -f $(DESTDIR)/etc/init.d/live
	rm -f $(DESTDIR)/etc/init.d/live-config
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/init.d > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc > /dev/null 2>&1 || true

	rm -f $(DESTDIR)/etc/init/live-config.conf
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/init > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc > /dev/null 2>&1 || true

	rm -f $(DESTDIR)/etc/systemd/system/live-config.service
	rm -f $(DESTDIR)/etc/systemd/system/runlevel1.target.wants/live-config.service
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/systemd/system/runlevel1.target.wants > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/systemd/system  > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/systemd > /dev/null 2>&1 || true

	# Uninstalling scripts
	rm -f $(DESTDIR)/lib/live/boot-init.sh

	rm -rf $(DESTDIR)/lib/live/config.sh $(DESTDIR)/lib/live/config
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib/live > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib > /dev/null 2>&1 || true

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib/live/config > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib/live > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var > /dev/null 2>&1 || true

	# Uninstalling docs
	rm -rf $(DESTDIR)/usr/share/doc/live-config
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/doc > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	# Uninstalling manpages
	for MANPAGE in manpages/en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$2 }')"; \
		rm -f $(DESTDIR)/usr/share/man/man$${SECTION}/$$(basename $${MANPAGE} .en.$${SECTION}).$${SECTION}; \
	done

	for LANGUAGE in $(LANGUAGES); \
	do \
		for MANPAGE in manpages/$${LANGUAGE}/*; \
		do \
			SECTION="$$(basename $${MANPAGE} | awk -F. '{ print $$3 }')"; \
			rm -f $(DESTDIR)/usr/share/man/$${LANGUAGE}/man$${SECTION}/$$(basename $${MANPAGE} .$${LANGUAGE}.$${SECTION}).$${SECTION}; \
		done; \
	done

	for SECTION in $(ls manpages/en/* | awk -F. '{ print $2 }'); \
	do \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/man$${SECTION} > /dev/null 2>&1 || true; \
		rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man/*/man$${SECTION} > /dev/null 2>&1 || true; \
	done

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/man > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share > /dev/null 2>&1 || true
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr > /dev/null 2>&1 || true

	rmdir --ignore-fail-on-non-empty $(DESTDIR) > /dev/null 2>&1 || true

clean:
	@echo "Nothing to clean."

distclean: clean
	@echo "Nothing to distclean."

reinstall: uninstall install

=== debian/changelog ===
live-config (3.0.9-1) unstable; urgency=low

  * Updating file paths for /lib/live/mount.
  * Renaming /lib/live/mount/image to /lib/live/mount/medium.
  * Updating package descriptions.
  * Shortening default user fullname on progress.
  * Updating name of the admin group in policykit script, thanks to
    Андрій Шинкарчук <andriy.shynkarchuk@nuos.edu.ua>.
  * Updating embedded live-config-foobar example packaging.
  * Making sure that when enforcing nvidia driver, the respective
    alternatives are set in xserver-xorg script.
  * Making sure that when nvidia driver is installed but a non-nvidia
    driver was enfored, the respective alternatives are set in xserver-
    xorg-script.
  * Switching to xz compression in live-config-foobar example packaging.
  * If no driver was specified and one of the nvidia drivers is
    installed, prefer the newest available nvidia driver over nouveau in
    xserver-xorg script.
  * Updating lsb_release calls for newer progress-linux.

 -- Daniel Baumann <daniel@debian.org>  Wed, 07 Nov 2012 14:45:22 +0100

=== debian/control ===
Source: live-config
Section: misc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: lsb-release
Standards-Version: 3.9.4
Homepage: http://live.debian.net/devel/live-config/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-config.git
Vcs-Git: git://live.debian.net/git/live-config.git

Package: live-config
Architecture: all
Depends: ${misc:Depends}, live-config-sysvinit | live-config-backend
Recommends:
 live-config-doc, live-tools, keyboard-configuration, locales | locales-all,
 user-setup, sudo
Suggests: pciutils, wget
Description: Live System Configuration Scripts
 live-config contains the scripts that configure a live system during the boot
 process (late userspace).
 .
 In addition to live-config, a backend for an init system is required, such as
 live-config-sysvinit.

Package: live-config-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: live-config (<< 3.0~a22~)
Replaces: live-config
Description: Live System Configuration Scripts (documentation)
 live-config contains the scripts that configure a live system during the boot
 process (late userspace).
 .
 This package contains the documentation.

Package: live-config-systemd
Architecture: all
Depends: ${misc:Depends}, systemd
Conflicts: live-config-backend
Replaces: live-config-backend
Provides: live-config-backend
Description: Live System Configuration Scripts (systemd backend)
 live-config contains the scripts that configure a live system during the boot
 process (late userspace).
 .
 This package contains the systemd backend (experimental!).

Package: live-config-sysvinit
Architecture: all
Depends: ${misc:Depends}, sysvinit (>= 2.86)
Conflicts: live-config-backend
Replaces: live-config-backend
Provides: live-config-backend
Description: Live System Configuration Scripts (sysvinit backend)
 live-config contains the scripts that configure a live system during the boot
 process (late userspace).
 .
 This package contains the sysvinit backend.

Package: live-config-upstart
Architecture: all
Depends: ${misc:Depends}, upstart
Conflicts: live-config-backend
Replaces: live-config-backend
Provides: live-config-backend
Description: Live System Configuration Scripts (upstart backend)
 live-config contains the scripts that configure a live system during the boot
 process (late userspace).
 .
 This package contains the upstart backend (experimental!).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/tmp

	# live-config-sysvinit
	mkdir -p debian/live-config-sysvinit/lib/live/config
	mv debian/tmp/lib/live/config/*-sysvinit debian/live-config-sysvinit/lib/live/config
	mv debian/tmp/lib/live/config/*-sysv-rc debian/live-config-sysvinit/lib/live/config

	# live-config-upstart
	mkdir -p debian/live-config-upstart/lib/live/config
	mv debian/tmp/lib/live/config/*-upstart debian/live-config-upstart/lib/live/config

	# Removing unused files
	rm -f debian/tmp/usr/share/doc/live-config/COPYING
	bin/live-config-update debian/tmp/lib/live/config

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

override_dh_compress:
	dh_compress -Xusr/share/doc/live-config/examples

override_dh_install:
	dh_install --fail-missing

override_dh_installinit:
	dh_installinit -p live-config-sysvinit --no-restart-on-upgrade --no-start --update-rcd-params='start 00 S .' --name live-config --onlyscripts
	dh_installinit -p live-config-sysvinit --no-restart-on-upgrade --no-start --update-rcd-params='start 89 0 6 .' --name live --onlyscripts

	dh_installinit -p live-config-upstart --no-restart-on-upgrade --no-start --name live-config --onlyscripts

## live-config 3.0.14

=== debian/changelog ===
live-config (3.0.14-1) unstable; urgency=low

  * Correcting wrong order of boot parameter parsing.
  * Adding support for automatic fglrx driver selection in xserver-xorg
    script.
  * Updating comments in xserver-xorg script.
  * Defering module loading for fglrx and nvidia to a later point in time
    within xserver-xorg script to make it also work when being specified
    through boot parameter.
  * Removing superfluous comments about wheezy in xserver-xorg script.
  * Passing all arguments to main function within live-config entry point.
  * Renaming internal network function for consistency.
  * Updating comment about processing command line.
  * Correcting spelling typo in comment.
  * Correcting typo in debug variable check.
  * Adding local-options for dpkg-source in live-config-foobar example
    package too.

 -- Daniel Baumann <daniel@debian.org>  Thu, 06 Dec 2012 20:02:25 +0100

live-config (3.0.13-1) unstable; urgency=low

  [ Ben Armstrong ]
  * Fixing typo in examples/hooks/cat: test for q to quit, thanks to
    Thanatermesis <thanatermesis@gmail.com>.

  [ Daniel Baumann ]
  * Allowing to overwrite xorg-driver based on pci-ids automatically via
    pci-id files in /usr/share/live/config/xserver-xorg.
  * Fixing roff formating typo in manpage.
  * Updating manpage for xserver-xorg pci-id based overrides.
  * Updating German manpage translation.
  * Correcting unconditional precedence of pci-id based overrides over
    automatic nvidia configuration in xserver-xorg script.

  [ chals ]
  * Updating Spanish translation of manpage.
  * Updating French translation of manpage.

  [ Daniel Baumann ]
  * Allowing xorg.conf overrides in /usr/share/live/config/xserver-xorg
    files.
  * Removing note about apport script being ubuntu only in live-config
    manpages.
  * For completeness reasons, also mentioning dpkg-divert in live-config
    manpage about removing scripts.
  * Using consistent spelling to match parameter name for the noroot
    variable.
  * Assigning internal variables for shortcut options to be reused by
    local scripts.

  [ chals ]
  * Updating the Spanish translation of man page.
  * Updating the French translation of man page.

  [ Daniel Baumann ]
  * Adding updated Italian manpage translations from skizzhg
    <skizzhg@gmx.com>.
  * Updating systemd service file to make it actually work.
  * Updating systemd service file installation location.
  * Correcting spelling typo in comment on top-level Makefile on
    uninstalling backends.
  * Updating packaging for moved systemd service file location.
  * Adding dpkg-source local options.

 -- Daniel Baumann <daniel@debian.org>  Fri, 30 Nov 2012 14:34:45 +0100

live-config (3.0.12-1) unstable; urgency=low

  * Allowing to overwrite distribution detection in live-config-update
    with parameters.

 -- Daniel Baumann <daniel@debian.org>  Tue, 13 Nov 2012 14:53:00 +0100

live-config (3.0.11-1) unstable; urgency=low

  * Enforcing NoLogo option when using nvidia driver in xserver-xorg
    script.

 -- Daniel Baumann <daniel@debian.org>  Fri, 09 Nov 2012 20:29:06 +0100

live-config (3.0.10-1) unstable; urgency=low

  * Correcting update-alternatives when handling nvidia automatically in
    xserver-xorg script.
  * Correcting nvidia module name for debian systems in xserver-xorg
    script.
  * Harmonizing po file headers.

 -- Daniel Baumann <daniel@debian.org>  Thu, 08 Nov 2012 11:00:49 +0100

## live-config 3.0.15

=== Makefile ===
--- 
+++ 
@@ -56,10 +56,8 @@
 	mkdir -p $(DESTDIR)/etc/init
 	cp backends/upstart/live-config.upstart $(DESTDIR)/etc/init/live-config.conf
 
-	mkdir -p $(DESTDIR)/etc/systemd/system
-	cp backends/systemd/live-config.systemd $(DESTDIR)/etc/systemd/system/live-config.service
-	mkdir -p $(DESTDIR)/etc/systemd/system/runlevel1.target.wants
-	ln -s ../live-config.service $(DESTDIR)/etc/systemd/system/runlevel1.target.wants/live-config.service
+	mkdir -p $(DESTDIR)/lib/systemd/system
+	cp backends/systemd/live-config.systemd $(DESTDIR)/lib/systemd/system/live-config.service
 
 	# Installing scripts
 	mkdir -p $(DESTDIR)/lib/live
@@ -69,6 +67,10 @@
 	cp bin/boot-init.sh $(DESTDIR)/lib/live
 
 	mkdir -p $(DESTDIR)/sbin
+
+	# Installing shared data
+	mkdir -p $(DESTDIR)/usr/share/live/config
+	cp -r VERSION share/* $(DESTDIR)/usr/share/live/config
 
 	# Installing docs
 	mkdir -p $(DESTDIR)/usr/share/doc/live-config
@@ -91,7 +93,7 @@
 	done
 
 uninstall:
-	# Uininstalling backends
+	# Uninstalling backends
 	rm -f $(DESTDIR)/etc/init.d/live
 	rm -f $(DESTDIR)/etc/init.d/live-config
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/init.d > /dev/null 2>&1 || true
@@ -101,11 +103,9 @@
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/init > /dev/null 2>&1 || true
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc > /dev/null 2>&1 || true
 
-	rm -f $(DESTDIR)/etc/systemd/system/live-config.service
-	rm -f $(DESTDIR)/etc/systemd/system/runlevel1.target.wants/live-config.service
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/systemd/system/runlevel1.target.wants > /dev/null 2>&1 || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/systemd/system  > /dev/null 2>&1 || true
-	rmdir --ignore-fail-on-non-empty $(DESTDIR)/etc/systemd > /dev/null 2>&1 || true
+	rm -f $(DESTDIR)/lib/systemd/system/live-config.service
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib/systemd/system > /dev/null 2>&1 || true
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/lib/systemd > /dev/null 2>&1 || true
 
 	# Uninstalling scripts
 	rm -f $(DESTDIR)/lib/live/boot-init.sh
@@ -118,6 +118,10 @@
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib/live > /dev/null 2>&1 || true
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var/lib > /dev/null 2>&1 || true
 	rmdir --ignore-fail-on-non-empty $(DESTDIR)/var > /dev/null 2>&1 || true
+
+	# Uninstalling shared data
+	rm -rf $(DESTDIR)/usr/share/live/config
+	rmdir --ignore-fail-on-non-empty $(DESTDIR)/usr/share/live
 
 	# Uninstalling docs
 	rm -rf $(DESTDIR)/usr/share/doc/live-config

=== manpages/Makefile ===
# Makefile

## live-config(7) - System Configuration Scripts
## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
##
## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
## This is free software, and you are welcome to redistribute it
## under certain conditions; see COPYING for details.


SHELL := sh -e

LANGUAGES = $(shell cd po && ls)

all: build

po4a.cfg:
	echo "[po4a_langs] $(LANGUAGES)" > po4a.cfg
	echo "[po4a_paths] pot/\$$master.pot \$$lang:po/\$$lang/\$$master.po" >> po4a.cfg

	for MANPAGE in en/*; \
	do \
		SECTION="$$(basename $${MANPAGE} | sed -e 's|\.|\n|g' | tail -n1)"; \
		echo "[type: man] $${MANPAGE} \$$lang:\$$lang/$$(basename $${MANPAGE} .$${SECTION}).\$$lang.$${SECTION}" >> po4a.cfg; \
	done

update:
	./bin/update-version.sh

build: po4a.cfg
	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
	then \
		echo "E: po4a - command not found"; \
		echo "I: po4a can be optained from:"; \
		echo "I:   http://po4a.alioth.debian.org/"; \
		echo "I: On Debian based systems, po4a can be installed with:"; \
		echo "I:   apt-get install po4a"; \
		exit 1; \
	fi

	po4a --keep 0 --no-backups --package-name live-config po4a.cfg

clean:
	rm -rf $(LANGUAGES)

distclean: clean
	rm -f po4a.cfg

rebuild: distclean update build

=== debian/changelog ===
live-config (3.0.15-1) unstable; urgency=low

  * Adding support for virtualbox in xserver-xorg script.
  * Updating boot parameter handling to work as advertised in the manpage
    when specifing multiple and conflicting options.
  * Adding console-tools to recommends.
  * Correcting already-run checks to be after parameter handling in
    hostname and hooks script.
  * Disabling module-init-tools on wheezy and newer systems.
  * Using automatic driver selection based on pci-ids in xserver-xorg
    script only when lspci is available.
  * Correcting spelling typo in bug script.
  * Updating UTC handling for wheezy.
  * Moving utc handling from tzdata to util-linux script where it original
    belongs to.
  * Adding missing entry for x-session-manager in variable list in live-
    config manpage.
  * Replacing some if conditionals with case for consistency.

 -- Daniel Baumann <daniel@debian.org>  Mon, 17 Dec 2012 21:22:00 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Architecture: all
 Depends: ${misc:Depends}, live-config-sysvinit | live-config-backend
 Recommends:
- live-config-doc, live-tools, keyboard-configuration, locales | locales-all,
- user-setup, sudo
+ live-config-doc, live-tools, console-tools, keyboard-configuration,
+ locales | locales-all, user-setup, sudo
 Suggests: pciutils, wget
 Description: Live System Configuration Scripts
  live-config contains the scripts that configure a live system during the boot

## live-config 3.0.16

=== debian/changelog ===
live-config (3.0.16-1) unstable; urgency=low

  * Correcting spelling typo in manpage.
  * Updating year in all copyright notices.
  * Only set vboxvideo driver automatically in xserver-xorg script for
    virtualbox systems if virtualbox-guest-x11 is installed, thanks to
    Eugenio Paolantonio <me@medesimo.eu> (Closes: #697146).

 -- Daniel Baumann <daniel@debian.org>  Wed, 02 Jan 2013 12:13:55 +0100

## live-config 3.0.17

=== debian/changelog ===
live-config (3.0.17-1) unstable; urgency=low

  * Updating manpage year handling for 2013.
  * Using fifo instead of pipe to catch logs from scripts (Closes:
    #697320).

 -- Daniel Baumann <daniel@debian.org>  Fri, 04 Jan 2013 09:57:16 +0100

## live-config 3.0.18

=== debian/changelog ===
live-config (3.0.18-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding support for variables (ip and mac addresses) in hostname
    script.

  [ Ben Armstrong ]
  * Fixing illegal redirect to named pipe with equivalent that works.

  [ Daniel Baumann ]
  * Removing bashism in exec call for logfile pipe, thanks to
    Алексей Шилин <rootlexx@mail.ru>.

 -- Daniel Baumann <daniel@debian.org>  Sun, 06 Jan 2013 20:17:48 +0100

## live-config 3.0.19

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-config(7) - System Configuration Scripts
-## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
+## Copyright (C) 2006-2013 Daniel Baumann <daniel@debian.org>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it

=== debian/changelog ===
live-config (3.0.19-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Moving log redirection to earlier point in time to capture the
    initialization of live-config in the logfile too.
  * Protecting hostname setting to avoid leaving live-config completely if
    user sets an invalid hostname.
  * Only support hostname variables when iproute is available.
  * Making link/inet/inet6 variables in hostnames actually working.
  * Using internal variable for /bin/ip separator when using variables in
    hostname to allow local customizations.
  * Moving ip separator variable to the beginning in order to overwrite it
    through /etc/live/config, even if it's only use no separator at all.
  * Dropping dpkg compression level.
  * Correcting locales-all script to only write the default locale out in
    case more than one has been specified.
  * Edit existing LANG setting on Progress Linux in /etc/profile rather
    than adding a new /etc/profile.d file.
  * Using consistent naming scheme for automatic generated live-config
    configuration files.
  * Correct editing of /etc/profile for LANG in locales-all script on
    Progress Linux systems.

  [ Richard Nelson ]
  * Adding script for initial xfce4-panel configuration.

  [ Daniel Baumann ]
  * Only running xfce4-panel configuration if the default configuration
    file hasn't been installed already by other means (e.g. includes).

  [ Richard Nelson ]
  * Adding entry for xfce4-panel in manpages.

  [ Daniel Baumann ]
  * Updating German manpage translation.

  [ chals ]
  * Updating French manpage translation.
  * Updating Spanish manpage translation.

  [ skizzhg ]
  * Updating Italian translation.

  [ Daniel Baumann ]
  * Enabling systemd job on installation of live-config-systemd.
  * Dropping pre-wheezy conflicts/replaces on live-config.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Feb 2013 07:41:29 +0100

## live-config 3.0.20

=== debian/changelog ===
live-config (3.0.20-1) unstable; urgency=low

  * Correcting systemctl call for system to enable live-config.service.
  * Apparently lightdm doesn't do autologin with a non-zero autologin-
    user-timeout.

 -- Daniel Baumann <daniel@debian.org>  Thu, 14 Feb 2013 13:11:33 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Architecture: all
 Depends: ${misc:Depends}, live-config-sysvinit | live-config-backend
 Recommends:
- live-config-doc, live-tools, console-tools, keyboard-configuration,
+ live-config-doc, live-tools, console-tools, iproute, keyboard-configuration,
  locales | locales-all, user-setup, sudo
 Suggests: pciutils, wget
 Description: Live System Configuration Scripts
@@ -28,8 +28,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: live-config (<< 3.0~a22~)
-Replaces: live-config
 Description: Live System Configuration Scripts (documentation)
  live-config contains the scripts that configure a live system during the boot
  process (late userspace).

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	bin/live-config-update debian/tmp/lib/live/config
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz
 
 override_dh_compress:
 	dh_compress -Xusr/share/doc/live-config/examples

## live-config 3.0.23

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 		echo " done."; \
 	else \
 		echo "W: checkbashisms - command not found"; \
-		echo "I: checkbashisms can be optained from: "; \
+		echo "I: checkbashisms can be obtained from: "; \
 		echo "I:   http://git.debian.org/?p=devscripts/devscripts.git"; \
 		echo "I: On Debian based systems, checkbashisms can be installed with:"; \
 		echo "I:   apt-get install devscripts"; \

=== manpages/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile
 
 ## live-config(7) - System Configuration Scripts
-## Copyright (C) 2006-2012 Daniel Baumann <daniel@debian.org>
+## Copyright (C) 2006-2013 Daniel Baumann <daniel@debian.org>
 ##
 ## This program comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
 ## This is free software, and you are welcome to redistribute it
@@ -31,7 +31,7 @@
 	@if [ ! -x "$$(which po4a 2>/dev/null)" ]; \
 	then \
 		echo "E: po4a - command not found"; \
-		echo "I: po4a can be optained from:"; \
+		echo "I: po4a can be obtained from:"; \
 		echo "I:   http://po4a.alioth.debian.org/"; \
 		echo "I: On Debian based systems, po4a can be installed with:"; \
 		echo "I:   apt-get install po4a"; \

=== debian/control ===
--- 
+++ 
@@ -28,23 +28,13 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Conflicts: live-config (<< 3.0)
+Replaces: live-config
 Description: Live System Configuration Scripts (documentation)
  live-config contains the scripts that configure a live system during the boot
  process (late userspace).
  .
  This package contains the documentation.
-
-Package: live-config-systemd
-Architecture: all
-Depends: ${misc:Depends}, systemd
-Conflicts: live-config-backend
-Replaces: live-config-backend
-Provides: live-config-backend
-Description: Live System Configuration Scripts (systemd backend)
- live-config contains the scripts that configure a live system during the boot
- process (late userspace).
- .
- This package contains the systemd backend (experimental!).
 
 Package: live-config-sysvinit
 Architecture: all
@@ -57,15 +47,3 @@
  process (late userspace).
  .
  This package contains the sysvinit backend.
-
-Package: live-config-upstart
-Architecture: all
-Depends: ${misc:Depends}, upstart
-Conflicts: live-config-backend
-Replaces: live-config-backend
-Provides: live-config-backend
-Description: Live System Configuration Scripts (upstart backend)
- live-config contains the scripts that configure a live system during the boot
- process (late userspace).
- .
- This package contains the upstart backend (experimental!).

=== debian/rules ===
--- 
+++ 
@@ -11,11 +11,10 @@
 	mv debian/tmp/lib/live/config/*-sysvinit debian/live-config-sysvinit/lib/live/config
 	mv debian/tmp/lib/live/config/*-sysv-rc debian/live-config-sysvinit/lib/live/config
 
-	# live-config-upstart
-	mkdir -p debian/live-config-upstart/lib/live/config
-	mv debian/tmp/lib/live/config/*-upstart debian/live-config-upstart/lib/live/config
-
 	# Removing unused files
+	rm -rf debian/tmp/etc/init
+	rm -f debian/tmp/lib/live/config/*-upstart
+	rm -rf debian/tmp/lib/systemd
 	rm -f debian/tmp/usr/share/doc/live-config/COPYING
 	bin/live-config-update debian/tmp/lib/live/config
 
@@ -31,5 +30,3 @@
 override_dh_installinit:
 	dh_installinit -p live-config-sysvinit --no-restart-on-upgrade --no-start --update-rcd-params='start 00 S .' --name live-config --onlyscripts
 	dh_installinit -p live-config-sysvinit --no-restart-on-upgrade --no-start --update-rcd-params='start 89 0 6 .' --name live --onlyscripts
-
-	dh_installinit -p live-config-upstart --no-restart-on-upgrade --no-start --name live-config --onlyscripts

## live-config 4.0.2

=== debian/changelog ===
live-config (4.0.2-1) unstable; urgency=low

  * Updating to standards version 3.9.6.
  * Dropping update-notifier component, not needed anymore (Closes:
    #764773).
  * Dropping incomplete German manpage translations.
  * Dropping incomplete Brazilian Portuguese manpage translations.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 25 Oct 2014 14:46:58 +0200

live-config (4.0.1-1) unstable; urgency=low

  [ Joerg Schirottke ]
  * KDM: fix nox11autologin logic

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 12 Sep 2014 14:14:03 +0200

live-config (4.0.0-1) unstable; urgency=low

  * Correcting inverted logic when enabling/disabling broadcom-sta.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 27 Aug 2014 19:33:39 +0200

live-config (4.0~alpha35-1) unstable; urgency=low

  * Updating sysvinit component to leave serial tty in inittab intact,
    thanks to Niels Laukens <niels@dest-unreach.be> (Closes: #754274).
  * Correcting execution of hooks (Closes: #752118).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 24 Aug 2014 17:40:09 +0200

live-config (4.0~alpha34-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Dropping console-tools from recommends.
  * Adding initial broadcom-sta component based on the same logic we
    already do for nvidia/fglrx handling (Closes: #749109).

  [ Carlos Zuferri ]
  * Removing obsolete flag '--no-backups' from po4a options.
  * Adding '--package-version' to po4a options.
  * Adding .po integrity check target to manpages/Makefile.

  [ Daniel Baumann ]
  * Making wheezy-compatible alternative recommends to iproute2 (Closes:
    #753708).
  * Making weezy-compatible alternative depends on sysvinit (Closes:
    #756043).

  [ victory ]
  * Sync Japanese translation of live-config man page.
  * Unfuzzy some strings in the translations of live-config man page.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 24 Aug 2014 09:53:28 +0200

live-config (4.0~alpha33-1) unstable; urgency=low

  * Correcting syntax error in 'already configured' test of the kde-
    services component, thanks to Antony Messerli <amesserl@rackspace.com>
    (Closes: #745861).
  * Disbaling ssh password authentication by default (Closes: #741678).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 27 Apr 2014 12:13:54 +0200

live-config (4.0~alpha32-1) unstable; urgency=low

  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 21:53:17 +0200

live-config (4.0~alpha31-1) experimental; urgency=low

  [ victory ]
  * Improve English sentenses; add a definite article, fix an indefinite
    article, verb, and typo-like disorder.
  * Sync/unfuzzzy translations for 2eeb5f1.
  * [live-config] Adding initial Japanese manpage translation.
  * [config:man:ja] Unfuzzy 1 string.

  [ Daniel Baumann ]
  * Removing superfluous quote in LIVE_CONFIG_DEBUG manpage entry.
  * Checking for /usr/bin/kwriteconfig instead of /usr/share/kde4 in kde-
    services component, thanks to Cavit Vural <cavit.vural@adak.com.tr>.
  * Manually configuring /etc/timezone too to workaround #510908.
  * Let tzdata debconf values be automatically taken from /etc/timezone
    (Closes: #738118).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 08 Feb 2014 17:17:22 +0100

live-config (4.0~alpha30-1) experimental; urgency=low

  [ Diederik de Haas ]
  * Fixed the file parameter for disabling the freespacenotifier to
    kdedrc.

  [ Daniel Baumann ]
  * Updating to standards version 3.9.5.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 04 Nov 2013 07:53:01 +0100

live-config (4.0~alpha29-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Rewrapping control file.

  [ Diederik de Haas ]
  * Changed disabling of freespacenotifier from global to (user) local.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 16 Oct 2013 09:18:16 +0200

live-config (4.0~alpha28-1) experimental; urgency=low

  [ skizzhg ]
  * Italian translation update.

  [ Daniel Baumann ]
  * Updating package descriptions.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 15 Oct 2013 09:20:32 +0200

live-config (4.0~a27-1) experimental; urgency=low

  * Updating /etc/hosts handling to also update existing but incomplete
    hosts files.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 10 Sep 2013 09:30:51 +0200

live-config (4.0~a26-1) experimental; urgency=low

  * Setting default hostname for progress-linux to system.
  * Adding xscreensaver component to disable locking during live session.
  * Using gsettings within one-time dbus session call (Closes: #706587).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 09 Sep 2013 20:56:10 +0200

live-config (4.0~a25-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Moving middleend to components within source tree for constency with
    jargon used in the manpages.
  * Adding reference to live-build in manpage when talking about
    lb_config.
  * Removing cosmetically superfluous comma in assembling of nocomponents
    when noroot is used.

  [ chals ]
  * Updating Spanish translation of live-config man page.
  * Fixing typo 'build'.
  * Adding '.components' to man page.
  * Updating translation files from the English sources.
  * Updating Spanish translation of live-config man page.
  * Updating French translation of live-config man page.

  [ Daniel Baumann ]
  * Building with dh-systemd.
  * Improve boot order in systemd service file before getting a final
    (upstream) solution, thanks to Michael Stapelberg
    <stapelberg@debian.org>.
  * Removing squeeze-only ifupdown initscript callings.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 05 Sep 2013 11:21:14 +0200

live-config (4.0~a24-1) experimental; urgency=low

  [ chals ]
  * Fixing typo in live-config.7 manpage.
  * Spreading typo fix to translation files.
  * Updating Spanish translation of man page.
  * Updating French translation of man page.
  * Fixing accentuation error in the Spanish translation of the man page.


## live-config 4.0.3

=== debian/changelog ===
live-config (4.0.3-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Temporarily running components without set -e.

  [ victory ]
  * [man:ja] Fix a typo in po header.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 10 Dec 2014 10:23:01 +0100

=== debian/control ===
Source: live-config
Section: misc
Priority: optional
Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <mail@daniel-baumann.ch>
Build-Depends:
 debhelper (>= 9),
 dh-systemd,
Build-Depends-Indep: lsb-release
Standards-Version: 3.9.6
Homepage: http://live-systems.org/devel/live-config/
Vcs-Browser: http://live-systems.org/gitweb/?p=live-config.git
Vcs-Git: git://live-systems.org/git/live-config.git

Package: live-config
Architecture: all
Depends:
 ${misc:Depends},
 live-config-sysvinit | live-config-backend,
Recommends:
 live-config-doc,
 live-tools,
 iproute2 | iproute,
 keyboard-configuration,
 locales | locales-all,
 user-setup,
 sudo,
Suggests:
 pciutils,
 wget,
Description: Live System Configuration Components
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 In addition to live-config, a backend for an init system is required, such as
 live-config-sysvinit.

Package: live-config-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Live System Configuration Components (documentation)
 live-config contains the components that configure a live system during the
 boot process (late userspace).
 .
 This package contains the documentation.

Package: live-config-systemd
Architecture: all
Depends:
 ${misc:Depends},
 systemd,
Conflicts: live-config-backend
Replaces: live-config-backend
Provides: live-config-backend
Description: Live System Configuration Components (systemd backend)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the systemd backend.

Package: live-config-sysvinit
Architecture: all
Depends:
 ${misc:Depends},
 sysvinit-core | sysvinit (<< 2.88dsf-44)
Conflicts: live-config-backend
Replaces: live-config-backend
Provides: live-config-backend
Description: Live System Configuration Components (sysvinit backend)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the sysvinit backend.

## live-config 4.0.4

=== debian/changelog ===
live-config (4.0.4-1.drbl5) unstable; urgency=medium

  * Adding upstart support.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 07 Feb 2015 21:27:17 +0800

live-config (4.0.4-1.drbl4) unstable; urgency=medium

  * Force to re-read /etc/inittab so that the changes
    in 0160-sysvinit can take effect.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 02 Feb 2015 13:54:00 +0800

live-config (4.0.4-1.drbl3) unstable; urgency=medium

  * Set the mode of 0190-upstart to 755. 

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 01 Feb 2015 13:26:36 +0800

live-config (4.0.4-1.drbl2) unstable; urgency=medium

  * Checking /var/lib/dpkg/info/sysvinit-core.list instead of
    /var/lib/dpkg/info/sysvinit.list in scripts/config/0160-sysvinit.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 22 Jan 2015 22:13:53 +0800

live-config (4.0.4-1.drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Applied the patches from DRBL projects. Recompiled on Debian Squeeze.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 21 Jan 2015 15:27:13 +0800

live-config (4.0.4-1) unstable; urgency=low

  * Adding dbus to recommends for systemd backend.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 04 Jan 2015 21:55:44 +0100

## live-config 5.0~a3

=== debian/changelog ===
live-config (5.0~a3-1) unstable; urgency=low

  * Making noroot bootparameter selfcontained within components.
  * Making noautologin bootparameter selfcontained within components.
  * Making nox11autologin bootparameter selfcontained within components.
  * Making nottyautologin bootparameter selfcontained within components.
  * Fixing kdm component to be selfcontained.
  * Fixing sysvinit component to be selfcontained.
  * Removing hack to configure sysvinit to not mount /tmp as tmpfs, this
    is done at build time now through live-build.
  * Also recreating ed25519 hostkeys in openssh-server component, now that
    we only support jessie and newer here.
  * Dropping obsolete ubuntu support, no special treatment necessary
    anymore.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 04 May 2015 20:06:12 +0200

live-config (5.0~a2-1) unstable; urgency=low

  * Updating year to 2015.
  * Updating live-config version to 5 in live-config-foobar example
    packaging.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 26 Apr 2015 20:32:07 +0200

live-config (5.0~a1-1) experimental; urgency=low

  * Dropping debian-installer-launcher component, not needed for current
    desktops anymore.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 25 Jan 2015 10:17:56 +0100

=== debian/control ===
--- 
+++ 
@@ -53,6 +53,7 @@
 Depends:
  ${misc:Depends},
  systemd,
+Recommends: dbus
 Conflicts: live-config-backend
 Replaces: live-config-backend
 Provides: live-config-backend

## live-config 5.0~a4

=== debian/changelog ===
live-config (5.0~a4-1) unstable; urgency=low

  * Wrap and sort debian control file.
  * Using the common and intuitive way of live/config.conf.d/*.conf as
    includes for config snippets consistently (Closes: #791670).
  * Adding slightly adjusted systemd component from Daniel Gollub
    <dgollub@brocade.com>.
  * Removing generated live-config_autoconfig.conf files from systemd
    component in postrm script.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 20 Aug 2015 11:41:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: misc
 Priority: optional
 Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
-Uploaders: Daniel Baumann <mail@daniel-baumann.ch>
+Uploaders:
+ Daniel Baumann <mail@daniel-baumann.ch>,
 Build-Depends:
  debhelper (>= 9),
  dh-systemd,
-Build-Depends-Indep: lsb-release
+Build-Depends-Indep:
+ lsb-release,
 Standards-Version: 3.9.6
 Homepage: http://live-systems.org/devel/live-config/
 Vcs-Browser: http://live-systems.org/gitweb/?p=live-config.git
@@ -15,16 +17,16 @@
 Package: live-config
 Architecture: all
 Depends:
+ live-config-sysvinit | live-config-backend,
  ${misc:Depends},
- live-config-sysvinit | live-config-backend,
 Recommends:
+ iproute2 | iproute,
+ keyboard-configuration,
  live-config-doc,
  live-tools,
- iproute2 | iproute,
- keyboard-configuration,
  locales | locales-all,
+ sudo,
  user-setup,
- sudo,
 Suggests:
  pciutils,
  wget,
@@ -41,7 +43,8 @@
 Package: live-config-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: Live System Configuration Components (documentation)
  live-config contains the components that configure a live system during the
  boot process (late userspace).
@@ -51,12 +54,16 @@
 Package: live-config-systemd
 Architecture: all
 Depends:
+ systemd,
  ${misc:Depends},
- systemd,
-Recommends: dbus
-Conflicts: live-config-backend
-Replaces: live-config-backend
-Provides: live-config-backend
+Recommends:
+ dbus,
+Conflicts:
+ live-config-backend,
+Replaces:
+ live-config-backend,
+Provides:
+ live-config-backend,
 Description: Live System Configuration Components (systemd backend)
  The Live Systems project maintains the components to build Debian based Live
  systems and the official Debian Live images themselves.
@@ -69,11 +76,14 @@
 Package: live-config-sysvinit
 Architecture: all
 Depends:
+ sysvinit-core | sysvinit (<< 2.88dsf-44),
  ${misc:Depends},
- sysvinit-core | sysvinit (<< 2.88dsf-44)
-Conflicts: live-config-backend
-Replaces: live-config-backend
-Provides: live-config-backend
+Conflicts:
+ live-config-backend,
+Replaces:
+ live-config-backend,
+Provides:
+ live-config-backend,
 Description: Live System Configuration Components (sysvinit backend)
  The Live Systems project maintains the components to build Debian based Live
  systems and the official Debian Live images themselves.

## live-config 5.0~a5

=== debian/changelog ===
live-config (5.0~a5-2) unstable; urgency=low

  * Removing myself from uploaders, lost trust in Debian (#804315).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 20 Nov 2015 13:04:24 +0100

live-config (5.0~a5-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Dropping baudrate from agetty call in systemd component to use the
    same options as the normal system does.
  * Renumbering systemd and sysv-rc components.
  * Don't clear the terminal in systemd component if live-config.debug
    boot parameter is used.
  * Adding systemd component in manpage.

  [ Carlos Zuferri ]
  * Updating Spanish translation of manpage.
  * Updating French translation of manpage.
  * Updating Italian translation of manpage.

  [ victory ]
  * Sync Japanese translation.
  * Updating copyright notices for 2015.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 23 Aug 2015 10:59:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,6 @@
 Section: misc
 Priority: optional
 Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
-Uploaders:
- Daniel Baumann <mail@daniel-baumann.ch>,
 Build-Depends:
  debhelper (>= 9),
  dh-systemd,

## live-config 5.20151121

=== debian/changelog ===
live-config (5.20151121) unstable; urgency=medium

  [ Iain R. Learmonth ]

  * debian/source/format:
   - Changed to "3.0 (native)"
  * debian/control:
   - Added myself to uploaders
   - Updated Vcs-* fields
   - Updated Homepage field

  [ Raphaël Hertzog ]

  * Added --no-block to systemd script (Closes: #802223)

  [ trebmuh ]

  * Updated French translation of man pages

  [ Daniel Reichelt ]

  * Fixed hook for disabling display managers
  * Fixed naming of config snippets in manpages

 -- Iain R. Learmonth <irl@debian.org>  Sat, 21 Nov 2015 17:59:07 +0000

=== debian/control ===
Source: live-config
Maintainer: Live Systems Maintainers <debian-live@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-systemd
Build-Depends-Indep: lsb-release
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-live/live-config.git
Vcs-Git: https://anonscm.debian.org/git/debian-live/live-config.git
Homepage: https://debian-live.alioth.debian.org/live-config/

Package: live-config
Architecture: all
Depends: live-config-sysvinit | live-config-backend,
         ${misc:Depends}
Recommends: iproute2 | iproute,
            keyboard-configuration,
            live-config-doc,
            live-tools,
            locales | locales-all,
            sudo,
            user-setup
Suggests: pciutils,
          wget
Description: Live System Configuration Components
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 In addition to live-config, a backend for an init system is required, such as
 live-config-sysvinit.

Package: live-config-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Live System Configuration Components (documentation)
 live-config contains the components that configure a live system during the
 boot process (late userspace).
 .
 This package contains the documentation.

Package: live-config-systemd
Architecture: all
Depends: systemd,
         ${misc:Depends}
Recommends: dbus
Conflicts: live-config-backend
Provides: live-config-backend
Replaces: live-config-backend
Description: Live System Configuration Components (systemd backend)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the systemd backend.

Package: live-config-sysvinit
Architecture: all
Depends: sysvinit-core | sysvinit (<< 2.88dsf-44),
         ${misc:Depends}
Conflicts: live-config-backend
Provides: live-config-backend
Replaces: live-config-backend
Description: Live System Configuration Components (sysvinit backend)
 The Live Systems project maintains the components to build Debian based Live
 systems and the official Debian Live images themselves.
 .
 live-config contains the components to configure a live system during the boot
 process (late userspace).
 .
 This package contains the sysvinit backend.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --parallel --with systemd

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/tmp

	# live-config-sysvinit
	mkdir -p debian/live-config-sysvinit/lib/live/config
	mv debian/tmp/lib/live/config/*-sysvinit debian/live-config-sysvinit/lib/live/config
	mv debian/tmp/lib/live/config/*-sysv-rc debian/live-config-sysvinit/lib/live/config

	# Using user-setup instead of live-debconfig
	rm -f debian/tmp/live/config/*live-debconfig*

	# Removing unused files
	rm -f debian/tmp/usr/share/doc/live-config/COPYING
	frontend/live-config-update debian/tmp

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_compress:
	dh_compress -Xusr/share/doc/live-config/examples

override_dh_install:
	dh_install --fail-missing

override_dh_installinit:
	dh_installinit -p live-config-sysvinit --no-restart-on-upgrade --no-start --update-rcd-params='start 00 S .' --name live-config --onlyscripts
